LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Variables
com::sun::star::lang::SystemDependent Constant Group Referencepublished

These constants are used to specify systems which depend on return values. More...

## Variables
const short | SYSTEM_WIN32 = 1
| The called interface method returns a value specified for Windows. More...
const short | SYSTEM_WIN16 = 2
| The called interface method returns a value specified for 16-bit Windows. More...
const short | SYSTEM_JAVA = 3
| The called interface method returns a value specified for Java. More...
const short | SYSTEM_OS2 = 4
| The called interface method returns a value specified for OS/2. More...
const short | SYSTEM_MAC = 5
| The called interface method returns a value specified for Mac OS X. More...
const short | SYSTEM_XWINDOW = 6
| The called interface method returns a value specified for the X Window System. More...
const short | SYSTEM_IOS = 7
| The called interface method returns a value specified for iOS. More...
const short | SYSTEM_ANDROID = 8
| The called interface method returns a value specified for Android. More...

## Detailed Description

These constants are used to specify systems which depend on return values.

You should avoid system-dependent methods if possible.

#ifdef _WIN32 // Microsoft Windows
HWND hWin = (HWND)xInterface->getWindowHandle(SystemDependentWIN32);
if( hWin ) ...
#elif( ... ) // other systems
...
#endif

The Symbols are now prepended with SYSTEM_ thus we avoid collisions with system headers.

See Also
  com::sun::star::awt::XSystemDependentWindowPeer

Deprecated:

## Variable Documentation

const short SYSTEM_ANDROID = 8

The called interface method returns a value specified for Android.

const short SYSTEM_IOS = 7

The called interface method returns a value specified for iOS.

const short SYSTEM_JAVA = 3

The called interface method returns a value specified for Java.

These are JRE 1.1, JRE 1.2, JDK 1.1, JDK 1.2 or higher.

The return should be a handle to a Java object locked with the call `JavaEnvironment->NewGlobalRef( ... )` by the callee.

const short SYSTEM_MAC = 5

The called interface method returns a value specified for Mac OS X.

const short SYSTEM_OS2 = 4

The called interface method returns a value specified for OS/2.

const short SYSTEM_WIN16 = 2

The called interface method returns a value specified for 16-bit Windows.

This is Windows 3.11.

const short SYSTEM_WIN32 = 1

The called interface method returns a value specified for Windows.

These are Windows XP or higher.

const short SYSTEM_XWINDOW = 6

The called interface method returns a value specified for the X Window System.